Package ru.bitel.bgbilling.modules.tinkoff.common.service

# Interface TinkoffService

All Superinterfaces:
  `PaymentServiceProvider`

public interface TinkoffService extends PaymentServiceProvider

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancelTarnsaction(int transactionId)`
  Отмена транзакции
  `void`
  `checkTransactions(int contractId)`
  Запросить у сервера банка статус не завершенных транзакций
  `void`
  `doManualAutopayment(int contractId, BigDecimal sum)`
  Ручной автоплатеж
  `List<String[]>`
  `getAutopaymentBindingData(int contractId)`
  Возвращает список активных связок с сервера ПС
  `SearchResult<Autopayment>`
  `searchAutopaymentList(int contractId, Period period, String[] sort, Page page)`
  Возращает историю изменения автоплатежей на договоре
  `SearchResult<Transaction>`
  `searchTransactionList(SearchParam searchParam)`
  Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.

  ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

  `autopaymentDeactivate, autopaymentGet, beginAutopaymentTransaction, beginTransaction, endTransaction, getAutopaymentCurrentMode`

- ## Method Details

  - ### searchTransactionList

    SearchResult<Transaction> searchTransactionList(SearchParam searchParam) throws ru.bitel.bgbilling.common.BGException
    Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.
    Parameters:
      `searchParam` -
    Returns:
      список транзакций.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkTransactions

    void checkTransactions(int contractId) throws ru.bitel.bgbilling.common.BGException
    Запросить у сервера банка статус не завершенных транзакций
    Parameters:
      `contractId` - код договора, если код больше 0 проверяются транзакции только для этого договора, иначе все
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAutopaymentBindingData

    List<String[]> getAutopaymentBindingData(int contractId) throws ru.bitel.bgbilling.common.BGException
    Возвращает список активных связок с сервера ПС
    Parameters:
      `contractId` - код договора
    Returns:
      Список связок, каждый элемент списка строковый массив из трех элементов "Идентификатор связки", "Маскированный номер карты", "Срок истечения действия карты (YYYYMM)"
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchAutopaymentList

    SearchResult<Autopayment> searchAutopaymentList(int contractId, Period period, String[] sort, Page page) throws ru.bitel.bgbilling.common.BGException
    Возращает историю изменения автоплатежей на договоре
    Parameters:
      `contractId` -
      `period` -
      `sort` -
      `page` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doManualAutopayment

    void doManualAutopayment(int contractId, BigDecimal sum) throws ru.bitel.bgbilling.common.BGException
    Ручной автоплатеж
    Specified by:
      `doManualAutopayment` in interface `PaymentServiceProvider`
    Parameters:
      `contractId` -
      `sum` -
    Throws:
      `Exception`
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelTarnsaction

    void cancelTarnsaction(int transactionId) throws Exception
    Отмена транзакции
    Parameters:
      `id` -
    Throws:
      `Exception`